Description

Hi,

I'm not even sure if this is an issue with the app or with python or what, but I thought you might have some feedback, esp if there's

something really daft I've failed to do.

I've got new servers for a new splunk enterrpise build.  I'm working with a single search head to PoC RADIUS auth (the other SH's

use LDAPS).  All the servers are RHEL6.5, splunk is running as root (although that may change later).

When I try to get the RADIUS auth working, there's no joys.

Using the config screens in the GUI, when I save/test, I get an error bar at the top showing "Encountered the following error while

trying to update: In handler 'localapps': Error while posting to url=/servicesNS/nobody/radius_auth/admin/radius_auth/default"

Log entries are;

2014-08-29 09:46:30,385 ERROR RadiusAuth - Exception triggered when attempting to contact the RADIUS server 131.242.253.14:

2014-08-29 09:46:30,386 INFO RadiusAuth - Authentication to primary RADIUS server failed

Checking firewall logs, the system never tries to connect to the radius server.  (I checked iptables as well)

When I tried on the same system to download pyRad and use their test script, I also cannot get it to trigger a RADIUS request.

I'm a server/firewall admin with a bit of perl/bash scripting history, but no experience in python I'm afraid.

History

#1 - 08/29/2014 03:47 AM - Alister Whipp

Looking at the splunk doco for getting scripted auth working I found their suggested method of testing scripts before enabling them for auth.  Tried;

[root@tiresias bin]# python radius_auth.py getUsers

--username=whippa

--password=123456789

No handlers could be found for logger "RadiusAuth"

#2 - 08/29/2014 03:50 AM - Alister Whipp

And with the correct command line stuff.  Sorry about the last one.

[root@tiresias bin]# python radius_auth.py userLogin

--username=test

--password=1234567890123

Traceback (most recent call last):

File "radius_auth.py", line 1326, in <module>

userLogin( args )

File "radius_auth.py", line 1254, in userLogin

ra.loadConf(directory)

File "radius_auth.py", line 799, in loadConf

default_conf.loadFile( os.path.join(directory, "default", CONF_FILE) )

File "/usr/lib64/python2.6/posixpath.py", line 67, in join

elif path == '' or path.endswith('/'):

AttributeError: 'NoneType' object has no attribute 'endswith'
#3 - 10/19/2019 06:04 AM - Luke Murphey

- Status changed from New to Closed
